<template>
  <a
    class="p-2 text-4xl bg-gray-300 rounded-full mx-2"
    :href="link"
    target="_blank"
    rel="noopener"
    :aria-label="'Lien vers ' + Capitalize(icon) "
    :title="'Lien vers ' + Capitalize(icon)"
  >
    <font-awesome-icon :icon="['fab', icon]" />
  </a>
</template>

<script lang="ts">
import Vue from 'vue'
import { Capitalize } from '~/services/utils/StringUtils'

export default Vue.extend({
  props: {
    link: {
      type: String,
      default: () => null
    },
    icon: {
      type: String,
      default: () => null
    }
  },
  methods: {
    Capitalize
  }
})
</script>
